Subject: Re: [PATCH] Probe Efika platform before CHRP.

From: Matt Sealey <[email-masked]>
Date: Mon, 08 Jan 2007 17:25:15 +0000

This will definitely change in the next firmware from the discussion I've
had with Gerald.

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Sylvain Munaut wrote:
> Sylvain Munaut wrote:
>> 2) What I'd really like to see fixed (but that I can't mark as
>> 'bugs' as obviously as the other)
>>  - The compatible properties of system node (like sram,
>>    bestcomm and pic) should at least include the mpc52xx-...
>>    strings as defined in the 'linux' bindings. Better than
>>    include, be exacty what has been defined but include would
>>    "do the trick".
>>   
> Forgot something here :
> 
> The "bestcomm" node should have all the interrupts for all task
> in it's interrupts property instead of a non existent IRQ.
> Currently it does have <2 0 3> which doesn't really exists (it's the
> casaded interrupt IIRC, this is from memory, no time to check
> that now).
> And it should have <3 0 0> <3 1 0> .... <3 15 0>.
> Because those are really bestcomm interrupt and I think they
> do belong there.
> 
> I know I can find thos in your "bestcomm-txtask bestcomm-rxtask"
> nodes for preloaded tasks and it's good they are there.
> But what if I want to use DMA for PSC6 where you didn't
> load anytask ... I can find some free ram in the sram node, some
> non-used tasks id but I got nowhere to find the interrupt ...
> So I'd like to have them there as well ...
> 
> 
>     Sylvain
>